#include <sourcemod>
#include <sdktools>

#define PLUGIN_VERSION "1.0.4"

new Handle:rl_ShowDamage
new Handle:rl_ShowMessageTK

public Plugin:myinfo = 
{
	name = "Remaining life",
	author = "Misery",
	description = "Le joueur touch a un message lui indiquant combien il lui reste",
	version = PLUGIN_VERSION,
	url = "http://thelw.forum-actif.net"
};


public OnPluginStart()
{
        CreateConVar("sm_remaining_life_version", PLUGIN_VERSION, "Remaining life Version",         FCVAR_PLUGIN|FCVAR_SPONLY|FCVAR_REPLICATED|FCVAR_NOTIFY)

	rl_ShowDamage = CreateConVar("sm_remaining_life","1","Show Damage Done on players")
	rl_ShowMessageTK = CreateConVar("sm_remaining_life_message","1","Show Message to the attacker when TK")
	
	HookEvent("player_hurt", PlayerHurtEvent)
}

public PlayerHurtEvent(Handle:event, const String:name[], bool:dontBroadcast)
{
	if (!GetConVarInt(rl_ShowDamage))
		return
	
	new victim = GetClientOfUserId(GetEventInt(event, "userid"))
	
	new attackerId = GetEventInt(event, "attacker")
	new attacker = GetClientOfUserId(attackerId)
	
	new hpVictime = GetClientHealth(victim)

	if (attacker<=0)
		return
	
	new team_1 = GetClientTeam(attacker)
	new team_2 = GetClientTeam(victim)

	if (victim == attacker)
	{
		if (hpVictime > 0)
		{
			PrintHintText(victim,"Your health : %i",hpVictime)
		}
	}
	else
	{
		if (GetConVarInt(rl_ShowMessageTK) == 1)
		{
			if (team_2 == team_1)
			{
				new String:vicim_name[64]
				GetClientName(victim, vicim_name, 64)
				
				PrintToChat(attacker, "\x01\x04[INFO TK]\x01 You hurt your team-mate %s", vicim_name)
				
				if (hpVictime > 0)
				{
					PrintHintText(attacker,"Your team : %i",hpVictime)
				}
				else
				{
					PrintHintText(attacker,"Team Killing")
				}
			}
			else
			{
				if (hpVictime > 0)
				{
					PrintHintText(attacker,"Enemy : %i",hpVictime)
				}
			}
		}
		else
		{
			if (hpVictime > 0)
			{
				PrintHintText(attacker,"Enemy : %i",hpVictime)
			}
		}
	}
}